## libcidr 1.2.3

=== Makefile ===
# Top-level Makefile for libcidr
# This basically calls out to various sub-level Makefiles for the build,
# and handles the bits&pieces of installing manually.

# Standard defines
.include "Makefile.inc"


# The building doesn't touch the docs, intentionally.  We presume they're
# pre-built if we care about them, because building them requires a lot
# of extra programs that many people won't have.
all build clean allclean:
	(cd src && ${MAKE} ${@})
	(cd docs && ${MAKE} ${@})
	(cd src/examples/cidrcalc && ${MAKE} ${@})


# Provide a quick&dirty 'uninstall' target
uninstall:
	@${ECHO} "-> Trying to delete everything libcidr-related..."
	${RM} ${CIDR_LIBDIR}/${SHLIB_NAME} ${CIDR_LIBDIR}/${SHLIB_LINK}
	${RM} ${CIDR_BINDIR}/cidrcalc
	${RM} ${CIDR_INCDIR}/libcidr.h
	${RM} ${CIDR_MANDIR}/man3/libcidr.3
	${RM} -r ${CIDR_DOCDIR}
	${RM} -r ${CIDR_EXDIR}
	@${ECHO} "-> Uninstallation complete"


# Now the bits of installing
install-lib:
	@${ECHO} "-> Installing ${SHLIB_NAME}..."
	-@${MKDIR} ${DESTDIR}${CIDR_LIBDIR}
	${INSTALL} -m 444 src/${SHLIB_NAME} ${DESTDIR}${CIDR_LIBDIR}/

install-cidrcalc:
	@${ECHO} "-> Installing cidrcalc..."
	-@${MKDIR} ${DESTDIR}${CIDR_BINDIR}
	${INSTALL} -m 555 src/examples/cidrcalc/cidrcalc ${DESTDIR}${CIDR_BINDIR}/

install-dev:
	@${ECHO} "-> Installing header file..."
	-@${MKDIR} ${DESTDIR}${CIDR_INCDIR}
	${INSTALL} -m 444 include/libcidr.h ${DESTDIR}${CIDR_INCDIR}/
	(cd ${DESTDIR}${CIDR_LIBDIR} && ${LN} -fs ${SHLIB_NAME} ${SHLIB_LINK})

install-man:
	@${ECHO} "-> Installing manpage..."
	( cd docs && ${MAKE} man )
	-@${MKDIR} ${DESTDIR}${CIDR_MANDIR}/man3
	${INSTALL} -m 444 docs/libcidr.3 ${DESTDIR}${CIDR_MANDIR}/man3

install-docs:
.ifndef NO_DOCS
	@${ECHO} "-> Installing docs..."
	-@${MKDIR} ${DESTDIR}${CIDR_DOCDIR}
	${INSTALL} -m 444 docs/reference/libcidr* \
			docs/reference/codelibrary-html.css ${DESTDIR}${CIDR_DOCDIR}/
.endif

install-examples:
.ifndef NO_EXAMPLES
	@${ECHO} "-> Installing examples..."
	-@${MKDIR} ${DESTDIR}${CIDR_EXDIR}
	${INSTALL} -m 444 src/examples/README ${DESTDIR}${CIDR_EXDIR}/
	@${MAKE} EX=cidrcalc install-example
	@${MAKE} EX=acl EXFILE=acl.example install-example
.endif


# Wrapup install of everything
install: install-lib install-dev install-cidrcalc \
  install-man install-docs install-examples
	@${ECHO} ""
	@${ECHO} "libcidr install complete"


# Called from install-examples above
install-example:
	@${ECHO} "-> Installing examples/${EX}..."
	-@${MKDIR} ${DESTDIR}${CIDR_EXDIR}/${EX}
	${INSTALL} -m 444 src/examples/${EX}/${EX}.c ${DESTDIR}${CIDR_EXDIR}/${EX}/
.ifdef EXFILE
	${INSTALL} -m 444 src/examples/${EX}/${EXFILE} ${DESTDIR}${CIDR_EXDIR}/${EX}/
.endif
	@${SED} \
			-e "s,%%CIDR_LIBDIR%%,${CIDR_LIBDIR}," \
			-e "s,%%CIDR_INCDIR%%,${CIDR_INCDIR}," \
			-e "s,%%PROG%%,${EX},g" \
			< src/examples/makefile.minimal \
			> ${DESTDIR}${CIDR_EXDIR}/${EX}/Makefile

=== docs/Makefile ===
# Makefile for docs building
.include "../Makefile.inc"

SGMLDIR=reference/sgml

# Coming in from the root, just build the manpage
all build: libcidr.3

# Write path into manpage
man: libcidr.3

libcidr.3: libcidr.3.in Makefile
	@${SED} -e 's|%%DOCDIR%%|${CIDR_DOCDIR}|' < libcidr.3.in > libcidr.3

# SGML docs
sgml ref reference:
	(cd ${SGMLDIR} && ${MAKE})

# Cleanup
clean:
	${RM} libcidr.3
	(cd ${SGMLDIR} && ${MAKE} clean)

allclean:
	${RM} libcidr.3
	(cd ${SGMLDIR} && ${MAKE} allclean)

=== src/Makefile ===
# Stuff for main library building
C_FILES = \
		cidr_addr.c \
		cidr_compare.c \
		cidr_from_str.c \
		cidr_get.c \
		cidr_inaddr.c \
		cidr_mem.c \
		cidr_misc.c \
		cidr_net.c \
		cidr_num.c \
		cidr_to_str.c
CLEAN_FILES = ${SO_FILES} ${SHLIB_NAME} ${SHLIB_LINK} *core .depend

_DIRSRC=.
.include "${_DIRSRC}/Makefile.inc"

# This need to be after the include
all build: ${SHLIB_NAME}

=== src/test/Makefile ===
# Do stuff to all the test programs
SUBDIRS = compare inaddr kids mkstr netbc nums parent

all clean:
	@for i in ${SUBDIRS}; do \
		(cd $${i} && ${MAKE} ${@}); \
	done

=== docs/reference/sgml/Makefile ===
# Makefile for libcidr docs
#
# Derived from libpostal-docs Makefile
# $Libpostal: Makefile,v 1.9 2003/07/16 15:32:11 fullermd Exp $
#
# TARGETS:
# Only the following targets are useful for manual invocation
# - main: Build the docs and install finished outputs in the docs/
#         directory
# - minimal: Build ONLY HTML and TXT verions
# - validate: Validate the libpostal.sgml file against the DTD
# - clean: Clean out the build directory
# - allclean: Clean out the build and output directories

# Files and paths
RTPATH ?= ${PWD}
INSTALLMODE ?= 644

FNAME = libcidr
INFILE = ${RTPATH}/${FNAME}.sgml
INFILES = ${RTPATH}/inc/geninfo.sgml ${RTPATH}/inc/datastructs.sgml \
		${RTPATH}/inc/functions.sgml

CODELIBDIR = ${RTPATH}/codelibrary
PRINTSS = ${CODELIBDIR}/dsssl/print.dsl
HTMLSS = ${CODELIBDIR}/dsssl/html-onepage.dsl

OUTDIR = ${RTPATH}/..
BUILDDIR = ${RTPATH}/.build

# Args
TIDYARGS = -i -raw -quiet -wrap 75
NSGMLS ?= onsgmls
JADE ?= openjade
JADECATDIR ?= /usr/local/share/sgml/openjade/catalog
JADECAT = -c ${JADECATDIR}
CODELIBCAT = -c ${RTPATH}/codelibrary/catalog
JADESTD = ${JADECAT} ${CODELIBCAT}

# All our files
ALLFILES = ${FNAME}.ps ${FNAME}.pdf ${FNAME}.dvi ${FNAME}-big.html \
		${FNAME}.txt ${FNAME}.rtf
MINFILES = ${FNAME}-big.html ${FNAME}.txt

# The main user-invokable 
minimal: build-minimal install-minimal
main: build-docs install-docs
all: main

clean:
	rm -rf ${BUILDDIR}

allclean: clean
	rm -f ${OUTDIR}/${FNAME}* ${OUTDIR}/codelibrary-html.css

validate:
	${NSGMLS} ${CODELIBCAT} -s ${INFILE}

build-docs: ${BUILDDIR}
	cd ${BUILDDIR} && \
		${MAKE} -f ${RTPATH}/Makefile RTPATH=${RTPATH} build-all

install-docs: ${BUILDDIR}
	cd ${BUILDDIR} && \
		${MAKE} -f ${RTPATH}/Makefile RTPATH=${RTPATH} install-all

build-minimal: ${BUILDDIR}
	cd ${BUILDDIR} && \
		${MAKE} -f ${RTPATH}/Makefile RTPATH=${RTPATH} do-build-minimal

install-minimal: ${BUILDDIR}
	cd ${BUILDDIR} && \
		${MAKE} -f ${RTPATH}/Makefile RTPATH=${RTPATH} do-install-minimal

# Don't forget the .css for the HTML file too
install-all:
	mkdir -p ${OUTDIR}
	install -c -m ${INSTALLMODE} ${ALLFILES} ${OUTDIR}
	install -c -m ${INSTALLMODE} ${CODELIBDIR}/css/codelibrary-html.css \
			${OUTDIR}
	@echo %%%%% Install done %%%%%

do-install-minimal:
	mkdir -p ${OUTDIR}
	install -c -m ${INSTALLMODE} ${MINFILES} ${OUTDIR}
	install -c -m ${INSTALLMODE} ${CODELIBDIR}/css/codelibrary-html.css \
			${OUTDIR}
	@echo %%%%% Install done %%%%%
	
# Everything
build-all all-formats: tex ps pdf dvi html txt rtf
do-build-minimal: html txt

# Aliases
ps: ${FNAME}.ps
pdf: ${FNAME}.pdf
dvi: ${FNAME}.dvi
tex: ${FNAME}.tex
txt: ${FNAME}.txt
ascii: ${FNAME}.txt
html: ${FNAME}-big.html
rtf: ${FNAME}.rtf

${FNAME}.ps: dvi
	dvips -o ${FNAME}.ps ${FNAME}.dvi
	@echo %%%%% Postscript built %%%%%

${FNAME}.pdf: tex
	pdftex "&pdfjadetex" ${FNAME}.tex
	@echo %%%%% PDF built %%%%%

${FNAME}.dvi: tex
	jadetex ${FNAME}.tex
	@echo %%%%% DVI built %%%%%

${FNAME}.tex: ${INFILE} ${INFILES}
	${JADE} ${JADESTD} -d ${PRINTSS} -t tex -o ${@} ${INFILE}
	@echo %%%%% TeX built %%%%%

${FNAME}.rtf: ${INFILE} ${INFILES}
	${JADE} ${JADESTD} -d ${PRINTSS} -t rtf -o ${@} ${INFILE}
	@echo %%%%% RTF built %%%%%

${FNAME}.txt: html
	lynx -dump -nolist ${FNAME}-big.html > ${FNAME}.txt
	@echo %%%%% ASCII built %%%%%

${FNAME}-big.html: ${INFILE} ${INFILES}
	${JADE} ${JADESTD} -d ${HTMLSS} -t sgml ${INFILE} > ${FNAME}-big-notidy.html
.ifndef NOTIDY
	tidy ${TIDYARGS} < ${FNAME}-big-notidy.html > ${FNAME}-big.html
.else
	cp ${FNAME}-big-notidy.html ${FNAME}-big.html
.endif
	@echo %%%%% HTML built %%%%%

${BUILDDIR}:
	mkdir -p ${BUILDDIR}

=== src/examples/acl/Makefile ===
# Skinny Makefile for acl
PROGNAME = acl
C_FILES = acl.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"

=== src/examples/cidrcalc/Makefile ===
# Skinny Makefile
PROGNAME = cidrcalc
C_FILES = cidrcalc.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"

=== src/test/compare/Makefile ===
# Skinny Makefile
PROGNAME = cidr_compare
C_FILES = compare.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"

=== src/test/inaddr/Makefile ===
# Skinny Makefile
PROGNAME = cidr_inaddr
C_FILES = inaddr.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"

=== src/test/kids/Makefile ===
# Skinny Makefile
PROGNAME = cidr_kids
C_FILES = kids.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"

=== src/test/mkstr/Makefile ===
# Skinny Makefile
PROGNAME = cidr_mkstr
C_FILES = mkstr.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"

=== src/test/netbc/Makefile ===
# Skinny Makefile
PROGNAME = cidr_netbc
C_FILES = netbc.c

_DIRSRC=../..
.include "${_DIRSRC}/Makefile.inc"

=== debian/changelog ===
libcidr (1.2.3-3) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Santiago Ruano Rincón ]
  * debian/libcidr-dev.docs: Remove docs from -dev package to make it
    Multi-Arch: same (Closes: #897340)
  * Bump Standards-Version to 4.3.0
  * Add debian/patches/hardening-buildflags.patch: respect CPPFLAGS and
    LDFLAGS environment variables

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Tue, 26 Feb 2019 10:41:43 +0100

libcidr (1.2.3-2) unstable; urgency=low

  * debian/control: use my email address for Maintainer. I will switch it back
    to libcidr package maintainers <libcidr@packages.debian.org> once
    ftp-master get fixed

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Mon, 23 Oct 2017 15:10:50 +0200

libcidr (1.2.3-1) unstable; urgency=low

  * Initial release (Closes: #702773)

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Tue, 03 Oct 2017 14:15:58 +0200

=== debian/control ===
Source: libcidr
Priority: optional
Maintainer: Santiago Ruano Rincón <santiagorr@riseup.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.3.0
Section: libs
Homepage: https://www.over-yonder.net/~fullermd/projects/libcidr
Vcs-Git: https://salsa.debian.org/debian/libcidr.git
Vcs-Browser: https://salsa.debian.org/debian/libcidr

Package: libcidr-dev
Section: libdevel
Architecture: any
Depends: libcidr0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: IP addresses and netblocks manipulation library
 libcidr is a C library implementing a variety of functions to
 manipulate IP addresses and netblocks. It handles both IPv4 and IPv6
 networks, will transform them to and from text strings in a variety of
 formats, cram them into and lever them out of in_addr and in6_addr
 structures, and give you all sorts of stats about them.
 Functions are provided also to tell you a few things about the network
 any given CIDR block is in, what its parent and child networks are, and
 so on. If you're really nice, may even cook you breakfast.
 .
 This package contains include files and development documentation.

Package: libcidr0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: IP addresses and netblocks manipulation library
 libcidr is a C library implementing a variety of functions to
 manipulate IP addresses and netblocks. It handles both IPv4 and IPv6
 networks, will transform them to and from text strings in a variety of
 formats, cram them into and lever them out of in_addr and in6_addr
 structures, and give you all sorts of stats about them.
 Functions are provided also to tell you a few things about the network
 any given CIDR block is in, what its parent and child networks are, and
 so on. If you're really nice, may even cook you breakfast.
 .
 This package contains the shared runtime library.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# Remove these comments once confirmed that dh handle them already
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PREFIX=/usr
export CIDR_LIBDIR=$(PREFIX)/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@
